libieee1284 (0.2.11-14.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 07:33:15 +0000

libieee1284 (0.2.11-14) unstable; urgency=medium

  * Remove Python 2 bindings (closes: #936875).
  * Switch to short debhelper rules format.
  * Update watch file.
  * Update debhelper level to 12:
    - remove autotools-dev build dependency,
    - remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Jul 2020 11:06:11 +0200

libieee1284 (0.2.11-13) unstable; urgency=low

  * Update Standards-Version to 3.9.8 and debhelper level to 10 .
  * Add dh-python to build depends.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (Closes: #840895):
    + Fix python Build-Depends
    + Don't strip with install -s
    + Let dh_auto_configure pass cross flags

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 18:06:51 +0000

libieee1284 (0.2.11-12) unstable; urgency=low

  * New maintainer (closes: #688539).
  * Update packaging.

  [ Daniel Schepler <schepler@debian.org> ]
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32 (closes: #702312).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2013 00:44:18 +0200

libieee1284 (0.2.11-11) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.4.
  * Enable hardened build flags.
  * Add debian/watch.
  * Add build-{arch,indep} targets.

 -- Emanuele Rocca <ema@debian.org>  Wed, 03 Apr 2013 01:08:21 +0200

libieee1284 (0.2.11-10) unstable; urgency=low

  * dh_python2 migration.

  * debian/control:
    + Remove python-support build-dep.
    + Bump python-all-dev build-dep to (>= 2.6.6-3~).
    + Add X-Python-Version: >= 2.2.
  * debian/pyversions:
    + Remove.
  * debian/rules:
    + Use dh_python2 instead of dh_pysupport.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 22:38:20 +0200

libieee1284 (0.2.11-9) unstable; urgency=low

  * debian/rules:
    + Establish temporary libieee1284.so symlink for Python modules
      installation to handle multiarch vs. non-multiarch paths for the
      main library and Python modules.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 12:48:57 +0200

libieee1284 (0.2.11-8) unstable; urgency=low

  * Multiarch conversion.

  * debian/control:
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libieee1284-3.
    + Tag libieee1284-3 with Multi-Arch: same.
  * debian/rules:
    + Set multiarch path for the main library build.
  * debian/libieee1284-3.install, debian/libieee1284-3-dev.install:
    + Adapt for multiarch.
  * debian/*.dirs:
    + Removed; unneeded.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 11:26:01 +0200

libieee1284 (0.2.11-7) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/libieee1284-3-dev.install:
    + Don't install libtool .la file (closes: #621535).

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 Apr 2011 18:41:04 +0200

libieee1284 (0.2.11-6) unstable; urgency=low

  * Moved to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.
    + Remove dpatch build-dep.
  * debian/rules:
    + Remove dpatch code.

  * All patches refreshed, tagged with DEP-3 headers.

 -- Julien BLACHE <jblache@debian.org>  Thu, 06 May 2010 11:19:54 +0200

libieee1284 (0.2.11-5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * debian/copyright:
    + Add missing copyright statements.

 -- Julien BLACHE <jblache@debian.org>  Thu, 10 Jul 2008 10:42:22 +0200

libieee1284 (0.2.11-4) unstable; urgency=low

  * debian/patches/02_release_on_close.dpatch:
    + Added; release port on close, helps with the python module when an
      object gets deleted. Patch from Uwe Kleine-Koenig
      <Uwe.Kleine-Koenig@digi.com> (closes: #461068).

 -- Julien BLACHE <jblache@debian.org>  Fri, 18 Jan 2008 11:12:04 +0100

libieee1284 (0.2.11-3) unstable; urgency=low

  * debian/rules:
    + Move patch/unpatch rules into debian/rules.
    + Rework python modules builds.
    + Fix parallel builds.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri, 07 Dec 2007 14:30:01 +0100

libieee1284 (0.2.11-2) unstable; urgency=low

  * debian/patches/11_autotools_update.dpatch:
    + Updated; remove config.{sub,guess} from the diff.

 -- Julien BLACHE <jblache@debian.org>  Sun, 02 Dec 2007 11:29:24 +0100

libieee1284 (0.2.11-1) unstable; urgency=low

  * New upstream release (closes: #444456).
  * debian/patches/02_procfs_nlink_zero.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_autotools_update.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 28 Sep 2007 19:49:29 +0200

libieee1284 (0.2.10-8) unstable; urgency=low

  * debian/patches/02_procfs_nlink_zero.dpatch:
    + Added; Remove the nlink > 2 check from the procfs detection routine.
      Newer kernels have nlink = 0 for all directories in procfs (at least
      under /proc/sys).

 -- Julien BLACHE <jblache@debian.org>  Fri, 17 Aug 2007 11:48:22 +0200

libieee1284 (0.2.10-7) unstable; urgency=low

  * debian/rules:
    + Do not ignore make distclean errors.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 19:15:45 +0200

libieee1284 (0.2.10-6) unstable; urgency=low

  * debian/control:
    + Use ${binary:Version} instead of ${Source-Version}.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jun 2007 21:07:23 +0200

libieee1284 (0.2.10-5) unstable; urgency=low

  * debian/control:
    + Added build-dependency on dpatch.
  * debian/rules:
    + Added dpatch support.
  * debian/patches/10_kfreebsd-amd64.dpatch:
    + Added; Adds support for kFreeBSD-amd64 (closes: #413176).

 -- Julien BLACHE <jblache@debian.org>  Sat,  3 Mar 2007 11:12:55 +0100

libieee1284 (0.2.10-4) unstable; urgency=low

  * Adapted to the New New New Python policy.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Oct 2006 14:53:12 +0200

libieee1284 (0.2.10-3) unstable; urgency=low

  * Adapted to the New New Python policy.

 -- Julien BLACHE <jblache@debian.org>  Sun, 25 Jun 2006 11:58:10 +0200

libieee1284 (0.2.10-2) unstable; urgency=low

  * New Python policy.
  * debian/compat:
    + Switch to DH_COMPAT 5.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Build-Depend on chrpath, python things, and debhelper (>= 5.0.37.1)
  * debian/copyright:
    + Update FSF address.
  * debian/rules:
    + Remove rpath from the python module.
    + Build the lib, then the python modules (trying to build the lib only once).

 -- Julien BLACHE <jblache@debian.org>  Sat, 17 Jun 2006 15:43:49 +0200

libieee1284 (0.2.10-1) unstable; urgency=low

  * New upstream release.
    + All patches applied.
  * Build new python-ieee1284 package.

 -- Julien BLACHE <jblache@debian.org>  Tue, 22 Mar 2005 20:51:41 +0100

libieee1284 (0.2.9-3) unstable; urgency=low

  * debian/rules:
    + ... and comment the call to dh_python ...

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Mar 2005 15:09:32 +0100

libieee1284 (0.2.9-2) unstable; urgency=low

  * debian/rules:
    + Explicitly disable Python support; will come later, as the package
      will need to go through NEW ...

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Mar 2005 11:40:33 +0100

libieee1284 (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_kfreebsd.dpatch:
    + Added; support GNU/kFreeBSD.
  * debian/patches/02_udev_devfs_path.dpatch:
    + Added; support udev/devfs path for parport nodes (closes: 297309).

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Mar 2005 10:30:21 +0100

libieee1284 (0.2.8-3) unstable; urgency=low

  * Bumped Standards-Version to 3.6.1 (no changes).
  * Patched src/ports.c in an attempt to be udev-compatible (closes: #297309).

 -- Julien BLACHE <jblache@debian.org>  Mon, 28 Feb 2005 20:29:52 +0100

libieee1284 (0.2.8-2) unstable; urgency=low

  * -dev package belongs to Section: libdevel.
  * Bumped Standards-Version to 3.5.6 (no changes).
  * Switched to DH_COMPAT=4, updated Build-Depends accordingly.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Jan 2004 15:46:52 +0100

libieee1284 (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.5.10 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri, 30 May 2003 19:44:54 +0200

libieee1284 (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu,  6 Mar 2003 21:30:18 +0100

libieee1284 (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Tue, 24 Dec 2002 16:39:28 +0100

libieee1284 (0.2.4-1) unstable; urgency=low

  * New upstream release, includes patches from 0.2.3-1 and 0.2.3-2.

 -- Julien BLACHE <jblache@debian.org>  Thu, 17 Oct 2002 17:49:55 +0200

libieee1284 (0.2.3-2) unstable; urgency=low

  * Fixes build on ia64, where inb and outb are macros.
  * Use the symlink method with autotools-dev.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Oct 2002 13:09:59 +0200

libieee1284 (0.2.3-1) unstable; urgency=low

  * Initial Release (closes: Bug#163024).
  * Small patch wrt sys/io.h.
  * Small patch wrt outb_p/inb_p availability on !i386 architectures.

 -- Julien BLACHE <jblache@debian.org>  Mon,  7 Oct 2002 19:26:23 +0200

